#!/bin/bash

#    YAATOBS - yet another avr toolchain build script
# 
#    Copyright (C) 2019  Torsten Brischalle
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/

set -e

export BINUTILS_VERSION=2.32
export GCC_VERSION=9.1.0
export AVR_LIBC_VERSION=2.0.0
export GDB_VERSION=8.3

export TOOLCHAIN_TARGET=avr

export TOOLCHAIN_PREFIX=$(pwd)/install/
export PATH="$TOOLCHAIN_PREFIX/bin:$PATH"

export WGET_OPT=--no-check-certificate

install -d tmp
install -d sources
